|  | Home · All Classes · Modules

# QAbstractItemView.EditTriggers Class Reference
[QtGui module]

### Methods

- __init__ (self, EditTriggers)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- EditTriggers __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, EditTriggers f)
- EditTriggers __iand__ (self, int mask)
- int __int__ (self)
- EditTriggers __invert__ (self)
- EditTriggers __ior__ (self, EditTriggers f)
- EditTriggers __ixor__ (self, EditTriggers f)
- bool __ne__ (self, EditTriggers f)
- EditTriggers __or__ (self, EditTriggers f)
- EditTriggers __xor__ (self, EditTriggers f)

## Detailed Description

EditTrigger may be used whenever EditTriggers is expected.

## Method Documentation

### EditTriggers.__init__ (self, EditTriggers)

### EditTriggers.__init__ (self, int)

### EditTriggers.__init__ (self)

### EditTriggers EditTriggers.__and__ (self, int mask)

### int EditTriggers.__bool__ (self)

### bool EditTriggers.__eq__ (self, EditTriggers f)

### EditTriggers EditTriggers.__iand__ (self, int mask)

### int EditTriggers.__int__ (self)

### EditTriggers EditTriggers.__invert__ (self)

### EditTriggers EditTriggers.__ior__ (self, EditTriggers f)

### EditTriggers EditTriggers.__ixor__ (self, EditTriggers f)

### bool EditTriggers.__ne__ (self, EditTriggers f)

### EditTriggers EditTriggers.__or__ (self, EditTriggers f)

### EditTriggers EditTriggers.__xor__ (self, EditTriggers f)